Get 3dpoint coordinate isntead of object3dpoint


#1

hi all,

start fooling around with python in grasshopper and here is my first problem.
I divided a curve and get a 3dpoint object but i want only the coordinate output to create lines between these points but a error appears fail to convert object to point.


.


#2

Not sure what you want here - they are 3dpoints being output, if you need the coordinates you can use the Deconstruct Point component, or you can output X, Y, Z coordinates directly from the Python script…

PythonPts.gh (8.8 KB)


#3

Thanks for reply,

i want to create lines between points INSIDE PYTHON not outside
but if i print pts it gives me 3dpoints objects not only coordinates x,y,z.
If i try rs.AddLine(pts,pst1(from a second curve)) its not working and schow the error marked in the first post.


#4

After a lot of try and error i figured out there is a lot more than rhinoscriptsyntax.

import rhinoscriptsyntax as rs
rs.AddLine(startpoint,endpoint)

works only for one item not a list.

import ghpythonlib.components as gc
gc.Line(pointstartlist,pointendlist)

works for list of items because these are grasshopper components.

Also import Rhino works (very powerful).
I only was missing some grasshopper components in ghpythonlib.components like BrepContour but with Rhino.Geometry.Brep.CreateContourCurves(brep,point,point,distance)
it works also (found this example from Helvetosaur thanks).